require "spec_helper"

describe AfTalk do
  describe "#fetch_messages" do
    before(:each) { reset_config }

    let(:options) { { last_received_id: 0 } }

    it "produces a fetch messages response object" do
      VCR.use_cassette("aftalk/messaging/fetch_messages") do
        response = described_class.fetch_messages(options)
        expect(response.error_message).to be_nil
        expect(response.status).to eq(200)
        expect(response.messages).to eq([])
      end
    end
  end
end
