module EnvVars
  def stub_env_vars(vars)
    allow(ENV).to receive(:[]).and_call_original

    vars.each do |key, val|
      allow(ENV).to receive(:[]).with(key).and_return(val)
    end
  end
end

RSpec.configure do |config|
  config.include EnvVars
end
