require "spec_helper"

describe AfTalk::SmsMessageInfo do
  let(:data) {
    {
      date: "2012-07-15 15:40:06",
      from: "+15555554563",
      id: "12345",
      linkId: "foo",
      to: "+15555554564",
    }
  }

  subject { described_class.new(data) }

  describe ".new" do
    it "sets the expected attributes" do
      expect(subject.date).to eq(data[:date])
      expect(subject.from).to eq(data[:from])
      expect(subject.link_id).to eq(data[:linkId])
      expect(subject.message_id).to eq(data[:id])
      expect(subject.to).to eq(data[:to])
    end
  end
end
