require "spec_helper"

describe AfTalk::SmsMessageStatus do
  let(:data) {
    {
      cost: "USD 0.0200",
      messageId: "ATXid_39b49d3e64107e6b859cab4we2900a07",
      number: "+15555554563",
      status: "Success",
    }
  }

  subject { described_class.new(data) }

  describe ".new" do
    it "sets the expected attributes" do
      expect(subject.cost).to eq(data[:cost])
      expect(subject.message_id).to eq(data[:messageId])
      expect(subject.number).to eq(data[:number])
      expect(subject.status).to eq(data[:status])
    end
  end
end
